/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.ColaConsultor;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 * @author obper
 */
@Stateless
public class ColaConsultorFacade extends AbstractFacade<ColaConsultor> implements ColaConsultorFacadeLocal {
    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public ColaConsultorFacade() {
        super(ColaConsultor.class);
    }

    @Override
    public ColaConsultor busquedaDespacho(String despacho) {
        Query q = em.createNamedQuery("ColaConsultor.findByDespacho");
        q.setParameter("despacho", despacho);
        ColaConsultor rs = (ColaConsultor) q.getResultList().get(0);
        return rs;
    }


}
